=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: palapeli
 Section: games
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Daniel Schepler <schepler@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
@@ -20,7 +21,7 @@
                libkf5doctools-dev (>= 5.91.0~),
                libkf5i18n-dev (>= 5.91.0~),
                libkf5itemviews-dev (>= 5.91.0~),
-               libkf5kdegames-dev (>= 4:21.04.0~),
+               libkf5kdegames-dev (>= 4:23.08.1~),
                libkf5kio-dev (>= 5.91.0~),
                libkf5notifications-dev (>= 5.91.0~),
                libkf5service-dev (>= 5.91.0~),
@@ -30,18 +31,18 @@
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.15.2~),
                shared-mime-info,
-Standards-Version: 4.6.2
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://kde.org/applications/games/org.kde.palapeli
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/palapeli
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/palapeli.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/palapeli
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/palapeli
 
 Package: palapeli
 Architecture: any
 Depends: palapeli-data (>= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: khelpcenter, qhull-bin,
+Recommends: khelpcenter, qhull-bin
 Description: jigsaw puzzle game
  Palapeli is a jigsaw puzzle game. Unlike other games in that genre,
  you are not limited to aligning pieces on imaginary grids. The
@@ -53,9 +54,9 @@
 
 Package: palapeli-data
 Architecture: all
-Depends: ${misc:Depends},
-Breaks: palapeli (<< 4:17.08.3~), ${kde-l10n:all},
-Replaces: palapeli (<< 4:17.08.3~), ${kde-l10n:all},
+Depends: ${misc:Depends}
+Breaks: palapeli (<< 4:17.08.3~), ${kde-l10n:all}
+Replaces: palapeli (<< 4:17.08.3~), ${kde-l10n:all}
 Description: data files for palapeli jigsaw puzzle game
  Data files (puzzles) for the palapeli puzzle game.
  .
