=== debian/control ===
Source: palapeli
Section: games
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Daniel Schepler <schepler@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               libkdegames6-dev,
               libkf6archive-dev (>= 6.0.0~),
               libkf6completion-dev (>= 6.0.0~),
               libkf6config-dev (>= 6.0.0~),
               libkf6configwidgets-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6dbusaddons-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6itemviews-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6notifications-dev (>= 6.0.0~),
               libkf6service-dev (>= 6.0.0~),
               libkf6widgetsaddons-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               pkg-kde-tools,
               qt6-base-dev (>= 6.5.0~),
               qt6-svg-dev (>= 6.5.0~),
               shared-mime-info,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://kde.org/applications/games/org.kde.palapeli
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/palapeli
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/palapeli

Package: palapeli
Architecture: any
Depends: palapeli-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: khelpcenter, qhull-bin,
Description: jigsaw puzzle game
 Palapeli is a jigsaw puzzle game. Unlike other games in that genre,
 you are not limited to aligning pieces on imaginary grids. The
 pieces are freely moveable.
 .
 Palapeli is the Finnish word for jigsaw puzzle.
 .
 This package is part of the KDE games module.

Package: palapeli-data
Architecture: all
Depends: ${misc:Depends},
Breaks: ${kde-l10n:all},
Replaces: ${kde-l10n:all},
Description: data files for palapeli jigsaw puzzle game
 Data files (puzzles) for the palapeli puzzle game.
 .
 Palapeli is a jigsaw puzzle game. Unlike other games in that genre,
 you are not limited to aligning pieces on imaginary grids. The
 pieces are freely moveable.
 .
 Palapeli is the Finnish word for jigsaw puzzle.
 .
 This package is part of the KDE games module.
