=== libpala/CMakeLists.txt ===
--- 
+++ 
@@ -22,8 +22,9 @@
 ecm_qt_declare_logging_category(pala
     HEADER libpala_debug.h
     IDENTIFIER PALAPELI_LIBPALA_LOG
-    CATEGORY_NAME org.kde.palapeli.libpala
-    DESCRIPTION "palapeli (libpala)"
+    CATEGORY_NAME palapeli.pala
+    OLD_CATEGORY_NAMES org.kde.palapeli.libpala
+    DESCRIPTION "Palapeli game (libpala)"
     EXPORT PALAPELI
 )
 
@@ -42,7 +43,11 @@
 )
 
 generate_export_header(pala BASE_NAME libpala)
-target_link_libraries(pala KF${KF_MAJOR_VERSION}::I18n Qt${QT_MAJOR_VERSION}::Gui)
+target_link_libraries(pala
+    PUBLIC
+        KF6::I18n
+        Qt6::Gui
+)
 target_include_directories(pala
     INTERFACE
         "$<INSTALL_INTERFACE:${libpala_INSTALL_INCLUDEDIR}>"
