=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: palapeli
 Section: games
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Daniel Schepler <schepler@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
+           Norbert Preining <norbert@preining.info>,
            Sune Vuorela <sune@debian.org>,
-Build-Depends: debhelper-compat (= 13),
-               cmake (>= 3.16~),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:6.0.0~),
+               libkdegames6-dev (>= 4:25.07.80~),
                libkf6archive-dev (>= 6.0.0~),
                libkf6completion-dev (>= 6.0.0~),
                libkf6config-dev (>= 6.0.0~),
@@ -20,7 +22,6 @@
                libkf6dbusaddons-dev (>= 6.0.0~),
                libkf6doctools-dev (>= 6.0.0~),
                libkf6i18n-dev (>= 6.0.0~),
-               libkf6iconthemes-dev (>= 6.0.0~),
                libkf6itemviews-dev (>= 6.0.0~),
                libkf6kio-dev (>= 6.0.0~),
                libkf6notifications-dev (>= 6.0.0~),
@@ -31,11 +32,11 @@
                qt6-base-dev (>= 6.5.0~),
                qt6-svg-dev (>= 6.5.0~),
                shared-mime-info,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Homepage: https://apps.kde.org/palapeli/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/palapeli
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/palapeli.git
+Homepage: https://kde.org/applications/games/org.kde.palapeli
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/palapeli
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/palapeli
 
 Package: palapeli
 Architecture: any
